Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-kvmclock.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-kvmclock.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-kvmclock.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model-cmt.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model-cmt.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model-cmt.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model-fallback.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model-fallback.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model-fallback.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model-vendor.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model-vendor.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model-vendor.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-model.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-passthrough-features.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-passthrough-features.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-passthrough-features.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-passthrough.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-passthrough.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-host-passthrough.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-hotplug-startup.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-hotplug-startup.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-hotplug-startup.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-kvmclock.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-kvmclock.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-kvmclock.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum1.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum1.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum1.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum2.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum2.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum2.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa-disjoint.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa-disjoint.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa-disjoint.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa-no-memory-element.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa-no-memory-element.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa-no-memory-element.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa1.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa1.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa1.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa2.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa2.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-numa2.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-s390-features.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-s390-features.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-s390-features.args
@@ -14,5 +14,7 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-guest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-guest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-s390-zEC12.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-s390-zEC12.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-s390-zEC12.args
@@ -14,5 +14,7 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-guest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-guest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-strict1.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-strict1.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-strict1.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-topology1.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-topology1.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-topology1.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-topology2.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-topology2.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-topology2.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-topology3.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-topology3.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-topology3.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot n \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-tsc-frequency.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cpu-tsc-frequency.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cpu-tsc-frequency.args
@@ -16,7 +16,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cputune-numatune.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cputune-numatune.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cputune-numatune.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 4d92ec27-9ebf-400b-ae91-20c71c647c19 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-dummy2/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-dummy2/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cputune-zero-shares.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cputune-zero-shares.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cputune-zero-shares.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cputune.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-cputune.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-cputune.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-debug-threads.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-debug-threads.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-debug-threads.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-default-kvm-host-arch.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-default-kvm-host-arch.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-default-kvm-host-arch.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid d091ea82-29e6-2e34-3005-f02617b36e87 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-kvm/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-kvm/monitor.sock,server,\
+nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-default-qemu-host-arch.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-default-qemu-host-arch.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-default-qemu-host-arch.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid d091ea82-29e6-2e34-3005-f02617b36e87 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-qemu-host/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-qemu-host/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-aio.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-aio.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-aio.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-blockio.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-blockio.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-blockio.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-empty.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-empty.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-empty.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-ftp.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-ftp.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-ftp.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot d \
 -usb \
 -drive file=ftp://host.name:21/url/path/file.iso,format=raw,if=none,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-ftps.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-ftps.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-ftps.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot d \
 -usb \
 -drive file=ftps://host.name:990/url/path/file.iso,format=raw,if=none,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-http.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-http.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-http.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot d \
 -usb \
 -drive file=http://host.name:80/url/path/file.iso,format=raw,if=none,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-https.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-https.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-https.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot d \
 -usb \
 -drive file=https://host.name:443/url/path/file.iso,format=raw,if=none,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-tftp.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-tftp.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-network-tftp.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot d \
 -usb \
 -drive file=tftp://host.name:69/url/path/file.iso,format=raw,if=none,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-tray-no-device-cap.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-tray-no-device-cap.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-tray-no-device-cap.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-tray.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-tray.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-tray.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 3fa02811-7832-34bd-004d-1ff56a9286ff \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot dc \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-copy_on_read.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-copy_on_read.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-copy_on_read.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 468404ad-d49c-40f2-9e14-02294f9c1be3 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot dc \
 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x6 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-boot-cdrom.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-boot-cdrom.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-boot-cdrom.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot d \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-boot-disk.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-boot-disk.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-boot-disk.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-directsync.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-directsync.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-directsync.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-unsafe.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-unsafe.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-unsafe.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-v2-none.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-v2-none.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-v2-none.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-v2-wb.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-v2-wb.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-v2-wb.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
